# class TrueClass

### Constants

AS_JSON

### Public Instance Methods

as_json(options = nil) click to toggle source

    # File lib/active_support/json/encoding.rb, line 162
    def as_json(options = nil) AS_JSON end

blank?() click to toggle source

`true` is not blank:

    true.blank? # => false

    # File lib/active_support/core_ext/object/blank.rb, line 67
    def blank?
      false
    end

duplicable?() click to toggle source

`true` is not duplicable:

    true.duplicable? # => false
    true.dup         # => TypeError: can't dup TrueClass

    # File lib/active_support/core_ext/object/duplicable.rb, line 57
    def duplicable?
      false
    end

to_param() click to toggle source

    # File lib/active_support/core_ext/object/to_param.rb, line 15
    def to_param
      self
    end